## com.mysql.jdbc
Class CallableStatement.CallableStatementParamInfo

    java.lang.Object
      com.mysql.jdbc.CallableStatement.CallableStatementParamInfo

Direct Known Subclasses:
  CallableStatement.CallableStatementParamInfoJDBC3

Enclosing class:
  CallableStatement

    protected class CallableStatement.CallableStatementParamInfo

extends java.lang.Object

Field Summary
`(package private) java.lang.String` `catalogInUse`
`(package private) boolean` `isFunctionCall`
`(package private) boolean` `isReadOnlySafeChecked` synchronized externally in checkReadOnlyProcedure()
`(package private) boolean` `isReadOnlySafeProcedure` synchronized externally in checkReadOnlyProcedure()
`(package private) java.lang.String` `nativeSql`
`(package private) int` `numParameters`
`(package private) java.util.List` `parameterList`
`(package private) java.util.Map` `parameterMap`

Constructor Summary
`CallableStatement.CallableStatementParamInfo(CallableStatement.CallableStatementParamInfo fullParamInfo)` Constructor that converts a full list of parameter metadata into one that only represents the placeholders present in the {CALL ()}.
`CallableStatement.CallableStatementParamInfo(java.sql.ResultSet paramTypesRs)`

Method Summary
`protected void` `checkBounds(int paramIndex)`
`protected java.lang.Object` `clone()`
`(package private) CallableStatement.CallableStatementParam` `getParameter(int index)`
`(package private) CallableStatement.CallableStatementParam` `getParameter(java.lang.String name)`
`java.lang.String` `getParameterClassName(int arg0)`
`int` `getParameterCount()`
`int` `getParameterMode(int arg0)`
`int` `getParameterType(int arg0)`
`java.lang.String` `getParameterTypeName(int arg0)`
`int` `getPrecision(int arg0)`
`int` `getScale(int arg0)`
`int` `isNullable(int arg0)`
`boolean` `isSigned(int arg0)`
`(package private) java.util.Iterator` `iterator()`
`(package private) int` `numberOfParameters()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### catalogInUse

    java.lang.String catalogInUse

### isFunctionCall

    boolean isFunctionCall

### nativeSql

    java.lang.String nativeSql

### numParameters

    int numParameters

### parameterList

    java.util.List parameterList

### parameterMap

    java.util.Map parameterMap

### isReadOnlySafeProcedure

    boolean isReadOnlySafeProcedure

  synchronized externally in checkReadOnlyProcedure()

### isReadOnlySafeChecked

    boolean isReadOnlySafeChecked

  synchronized externally in checkReadOnlyProcedure()

Constructor Detail

### CallableStatement.CallableStatementParamInfo

    CallableStatement.CallableStatementParamInfo(CallableStatement.CallableStatementParamInfo fullParamInfo)

  Constructor that converts a full list of parameter metadata into one that only represents the placeholders present in the {CALL ()}.

  Parameters:
    `fullParamInfo` - the metadata for all parameters for this stored procedure or function.

### CallableStatement.CallableStatementParamInfo

    CallableStatement.CallableStatementParamInfo(java.sql.ResultSet paramTypesRs)
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### checkBounds

    protected void checkBounds(int paramIndex)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getParameter

    CallableStatement.CallableStatementParam getParameter(int index)

### getParameter

    CallableStatement.CallableStatementParam getParameter(java.lang.String name)

### getParameterClassName

    public java.lang.String getParameterClassName(int arg0)
                                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getParameterCount

    public int getParameterCount()
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getParameterMode

    public int getParameterMode(int arg0)
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getParameterType

    public int getParameterType(int arg0)
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getParameterTypeName

    public java.lang.String getParameterTypeName(int arg0)
                                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getPrecision

    public int getPrecision(int arg0)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getScale

    public int getScale(int arg0)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isNullable

    public int isNullable(int arg0)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isSigned

    public boolean isSigned(int arg0)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### iterator

    java.util.Iterator iterator()

### numberOfParameters

    int numberOfParameters()